on:
  push:
    branches:
      - '**'

jobs:
  checking:
    runs-on: docker
    container: node:lts
    steps:
      - name: Checkout source code
        uses: https://code.forgejo.org/actions/checkout@v3
      - name: Install packages
        run: npm install
      - name: Run astro check (linting +  static analysis)
        run: npm run astro check
